Bug 1430135 - Review Request: golang-github-jefferai-jsonx - Go (golang) library to transform JSON into JSONx
Summary: Review Request: golang-github-jefferai-jsonx - Go (golang) library to transfo...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1430134
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 23:21 UTC by Ed Marshall
Modified: 2017-11-16 15:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-16 15:48:50 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 2017-10-03 15:33:41 UTC
 - Please add a commit date for versioning, as required by https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots :

%global commit          9cc31c3135eef39b8e72585f37efa92b6ca314d0
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global commitdate      20160722

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.%{commitdate}git%{shortcommit}%{?dist}


   And:

* Sat Mar 04 2017 Ed Marshall <esm@logic.net> - 0-0.1.20160722git9cc31c3


Package otherwise accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* MPL (v2.0)". 3 files
     have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/golang-github-jefferai-jsonx/review-golang-
     github-jefferai-jsonx/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-jefferai-jsonx-devel , golang-github-jefferai-jsonx-unit-test-
     devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-jefferai-jsonx-devel-0-0.1.20160722git9cc31c3.fc28.noarch.rpm
          golang-github-jefferai-jsonx-unit-test-devel-0-0.1.20160722git9cc31c3.fc28.x86_64.rpm
          golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Ed Marshall 2017-10-03 21:16:21 UTC
Thanks for the review! Fixed the items you mentioned in my local copy (looks like all of my review requests from back in March need to be updated with the commit date); I'll at least request the repo while working on the dependent package review.

Comment 3 Gwyn Ciesla 2017-10-03 23:50:24 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-jefferai-jsonx

Comment 4 Fedora Update System 2017-10-18 00:22:37 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab551d924f

Comment 5 Fedora Update System 2017-10-18 00:25:30 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2afd10026d

Comment 6 Fedora Update System 2017-10-18 17:22:08 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab551d924f

Comment 7 Fedora Update System 2017-10-18 21:22:49 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2afd10026d

Comment 8 Fedora Update System 2017-10-26 11:52:10 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-10-27 08:18:50 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9b74391e95

Comment 10 Fedora Update System 2017-10-27 15:41:24 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9b74391e95

Comment 11 Fedora Update System 2017-11-11 02:56:43 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-11-16 15:48:50 UTC
golang-github-jefferai-jsonx-0-0.1.20160722git9cc31c3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.